Package org.apache.lucene.monitor

# Interface MonitorQuerySerializer

public interface MonitorQuerySerializer
Serializes and deserializes MonitorQuery objects into byte streams

Use this for persistent query indexes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MonitorQuery`
  `deserialize(BytesRef binaryValue)`
  Builds a MonitorQuery from a byte representation
  `static MonitorQuerySerializer`
  `fromParser(Function<String,Query> parser)`
  Build a serializer from a query parser
  `BytesRef`
  `serialize(MonitorQuery query)`
  Converts a MonitorQuery into a byte representation

- ## Method Details

  - ### deserialize

    MonitorQuery deserialize(BytesRef binaryValue)
    Builds a MonitorQuery from a byte representation

  - ### serialize

    BytesRef serialize(MonitorQuery query)
    Converts a MonitorQuery into a byte representation

  - ### fromParser

    static MonitorQuerySerializer fromParser(Function<String,Query> parser)
    Build a serializer from a query parser
    Parameters:
      `parser` - a parser to convert a String representation of a query into a lucene query object